org.fourthline.cling.support.avtransport.lastchange

## Class AVTransportVariable.CurrentRecordQualityMode

- java.lang.Object
- - org.fourthline.cling.support.lastchange.EventedValue<E>
  - - org.fourthline.cling.support.lastchange.EventedValueEnum<RecordQualityMode>
    - - org.fourthline.cling.support.avtransport.lastchange.AVTransportVariable.CurrentRecordQualityMode

- Enclosing class:
    AVTransportVariable

      public static class AVTransportVariable.CurrentRecordQualityMode
      extends EventedValueEnum<RecordQualityMode>

- - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AVTransportVariable.CurrentRecordQualityMode(Map.Entry<String,String>[] attributes)`
    `AVTransportVariable.CurrentRecordQualityMode(RecordQualityMode recordQualityMode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RecordQualityMode` | `enumValueOf(String s)`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.EventedValueEnum

      `getDatatype, toString, valueOf`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `getAttributes, getName, getValue, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AVTransportVariable.CurrentRecordQualityMode

          public AVTransportVariable.CurrentRecordQualityMode(RecordQualityMode recordQualityMode)

    - #### AVTransportVariable.CurrentRecordQualityMode

          public AVTransportVariable.CurrentRecordQualityMode(Map.Entry<String,String>[] attributes)

  - ### Method Detail

    - #### enumValueOf

          protected RecordQualityMode enumValueOf(String s)

      Specified by:
        `enumValueOf` in class `EventedValueEnum<RecordQualityMode>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.